Bug 155580 - Add 'remember this setting' in scrollback option dialog
Summary: Add 'remember this setting' in scrollback option dialog
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-12 22:17 UTC by Urs Wolfer
Modified: 2009-02-02 06:24 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Urs Wolfer 2008-01-12 22:17:42 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources

As title says, scrollback options are not saved after Konsole quit. If I start up a new instance of Konsole, I have to set the scrollback option again (e.g. "Unlimited scrollback").
Comment 1 Robert Knight 2008-01-12 23:54:28 UTC
This is expected behaviour.  If you want to make permanent changes go to Settings -> Edit Current Profile -> Scrollback.

The Scrollback Options dialog is there if you wish to make temporary changes.  For example, 2000 lines might usually be sufficient, but if you wish to begin a long compilation and record all output, then you would temporarily change the setting to "Unlimited Scrollback".
Comment 2 Urs Wolfer 2008-01-12 23:57:48 UTC
Ok, I see. A notice in the scrollback dialog about this behavior would be nice indeed. :)
Comment 3 Robert Knight 2008-01-13 00:47:28 UTC
> A notice in the scrollback dialog about this behavior would be nice indeed. :) 
 
Agreed.  Or perhaps a "Remember this setting" checkbox which saves the change to the current profile (as if the Edit Current Profile dialog had been used).
Comment 4 Sven Schliesing 2008-01-16 12:26:59 UTC
When I set the scrollback to unlimited, save the session as "def" and start kopete with "--profile def" the scrollback stays at "unlimited". So that's fine.

I used to start konsole with --nomenubar. But when I use "--profile def" this option is being ignored. 

So I hid the menubar from the menu and then wanted to save the profile. But that's quite impossible without the menu. :)
Comment 5 Robert Knight 2008-01-16 13:05:00 UTC
> So I hid the menubar from the menu and then wanted to save the profile. 
> But that's quite impossible without the menu. :) 

1.  Go to Settings -> Manage Profiles
2.  Click the profile you want to edit and click "Edit"
3.  Untick the "Show menu bar in new windows" option on the first page
4.  Click OK.

If you already have a tab open using the profile you want to change, then just right click in the terminal area and select "Edit Current Profile" to bring up the dialog.



Comment 6 Kurt Hindenburg 2009-02-02 06:24:54 UTC
SVN commit 920007 by hindenburg:

Add checkbox to allow Scrollback->Scrollback Options dialog to save to current profile.

FEATURE: 155580


 M  +8 -1      HistorySizeDialog.cpp  
 M  +4 -1      HistorySizeDialog.h  
 M  +22 -3     SessionController.cpp  
 M  +1 -1      SessionController.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=920007